package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.CodeListMapper;
import com.sa.ibiz.demo.demo.domain.CodeList;
import com.sa.ibiz.demo.demo.service.CodeListService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.CodeListSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;

import com.sa.ibiz.demo.demo.service.DataEntityService;

/**
 * 实体[CodeList] 服务对象接口实现
 */
@Service
public class CodeListServiceImpl extends ServiceImplBase<CodeListMapper, CodeList> implements CodeListService{

    @Autowired
    private DataEntityService deService;

    @Resource
    private CodeListMapper codelistMapper;


    @Override
    public boolean create(CodeList et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(CodeList et){
        this.beforeUpdate(et);
		this.codelistMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(CodeList et){
		return et.getCodelistid();  
    }

    @Override
    public boolean getDraft(CodeList et)  {
    if((!StringUtils.isEmpty(et.getDeid())) && et.getDe() == null){
            try {
                et.setDe(deService.getById(et.getDeid()));
            }catch (Exception ex){}
        }
            return true;
    }
    @Override
    public CodeList refreshModel(CodeList et)  {
		return et;
    }

	public List<CodeList> listDefault(CodeListSearchFilter filter) {
		return codelistMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<CodeList> searchDefault(CodeListSearchFilter filter) {
		return codelistMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return codelistMapper.selectRow(sql);
    }

 }